/***************************************************************************
 *   Copyright (C) 2007 by ConorWSullivan <ConorWSullivan@gmail.com>       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#include "spacer.h"

// Plasma

// Qt
#include <QtDBus/QDBusInterface>
#include <QtDBus/QDBusReply>
#include <QGraphicsLinearLayout>

// KDE
#include <KIcon>
#include <kworkspace/kworkspace.h>

#define MINSIZE 48

Spacer::Spacer(QObject *parent, const QVariantList &args)
    : Plasma::Applet(parent, args)
{
}

void Spacer::init()
{

    setBackgroundHints(NoBackground);
    resize(MINSIZE,MINSIZE);
}

Spacer::~Spacer()
{
}


void Spacer::constraintsEvent(Plasma::Constraints constraints)
{
    setBackgroundHints(NoBackground);
}


#include "spacer.moc"
